%define name		jmi
%define version		1.0
%define cvs_version	1_0
%define release		1jpp
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java Metadata Interface
License:	Sun Binary Code License
Url:		http://java.sun.com/products/%{name}/
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-%{cvs_version}-fr-interfaces.zip
NoSource:	0
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Java Metadata Interface (JMI) Specification implements a dynamic,
platform-neutral infrastructure that enables the creation,
storage,access, discovery, and exchange of metadata. 

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c
# fix files perms
chmod -R go=u-w *

%build
%javac `find . -name "*.java"`
cat > MANIFEST.MF << EOF
Manifest-Version: 1.0
EOF
%jar cvfm %{name}.jar MANIFEST.MF `find . -name "*.class"`
mkdir -p javadocs
%javadoc -d javadocs \
	javax.jmi.corbaidltypes javax.jmi.model javax.jmi.primitivetypes \
        javax.jmi.reflect javax.jmi.xmi


%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Fri Jan 23 2004 David Walluck <david@anti-microsoft.org> 0:1.0-1jpp
- release
